# AppCallbackHealthCheckGrpc (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackHealthCheckGrpc

- java.lang.Object
- - io.dapr.v1.AppCallbackHealthCheckGrpc

    @Generated(value="by gRPC proto compiler (version 1.42.1)",
               comments="Source: appcallback.proto")
    public final class AppCallbackHealthCheckGrpc
    extends Object

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

### Nested Class Summary

Nested Classes
`static class` `AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub` AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement the HealthCheck method.
`static class` `AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub` AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement the HealthCheck method.
`static class` `AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase` AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement the HealthCheck method.
`static class` `AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub` AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement the HealthCheck method.

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.HealthCheckResponse>` `getHealthCheckMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub` `newBlockingStub​(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub` `newFutureStub​(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub` `newStub​(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getHealthCheckMethod

    public static io.grpc.MethodDescriptor<com.google.protobuf.Empty,​DaprAppCallbackProtos.HealthCheckResponse> getHealthCheckMethod()

#### newStub

    public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckStub newStub​(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckBlockingStub newBlockingStub​(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static AppCallbackHealthCheckGrpc.AppCallbackHealthCheckFutureStub newFutureStub​(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()